- Home
- API Enriched
- Sites
- data
- Pods Metrics.
Pods Metrics.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/system/site/example/namespaces/example/pods/metrics';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"end_time":"example","filters":"example","group_by":["POD_NAMESPACE"],"metric_selector":["POD_METRIC_TYPE_IN_BYTES"],"namespace":"example","site":"example","start_time":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/system/site/example/namespaces/example/pods/metrics \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "end_time": "example", "filters": "example", "group_by": [ "POD_NAMESPACE" ], "metric_selector": [ "POD_METRIC_TYPE_IN_BYTES" ], "namespace": "example", "site": "example", "start_time": "example" }'API to GET pods metrics for a given namespace in a site.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Site Site name.
Namespace Namespace to scope the listing of cronjobs in a site.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to GET Pods Metrics.
object
End time of metric data. Format: unix_timestamp|RFC 3339
Optional: If not specified, then the end_time will be evaluated to start_time+10m
If start_time is not specified, then the end_time will be evaluated to
Filter to filter the metrics by the given label.
Group By to group the metrics by the given label “name” is the label name defined in “PodsMetricLabel”
Select metrics to be returned in the response.
Required: YES.
Namespace to scope the listing of cronjobs in a site.
Site name
Start time of metric data. Format: unix_timestamp|RFC 3339
Optional: If not specified, then the start_time will be evaluated to end_time-10m
If end_time is not specified, then the start_time will be evaluated to
Responses
Section titled “Responses”A successful response.
Pods Metrics Response.
object
Data for the metric types specified in the request.
Pods Metric Data.
object
List of metric data.
Metric Type Data contains labels that uniquely identifies individual entity and its corresponding metric values.
object
Labels contains the name/value pair that uniquely identifies an entity whose metric is being reported. “name” is the label name defined in “PodsMetricLabel”
object
List of metric values. May contain more than one value if timeseries data is requested.
Metric data contains timestamp and the value.
object
Timestamp
object
X-displayName: “Description” description of the method used to calculate trend.
X-displayName: “Previous Value”
X-displayName: “Value”
Configuration parameter for value
Example
{ "data": [ { "data": [ { "values": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ] } ], "type": "POD_METRIC_TYPE_IN_BYTES", "unit": "UNIT_MILLISECONDS" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example